<template lang="html">
  <div class="">
    <v-container grid-list-lg fill-height justify-center align-center class="">
      <v-layout row wrap align-center justify-center fill-height style="max-width: 1200px">
        <v-flex xs12 class="indigo darken-1">
          <v-layout row wrap class="pa-4">
            <v-flex xs12 text-xs-left>
              <v-btn color="white indigo--text" @click="goBack()">
                <v-icon left>chevron_left</v-icon>
                return
              </v-btn>
            </v-flex>
            <v-flex xs12 sm4 md3 text-xs-center class="pt-4">
              <v-avatar size="180px">
                <img :src="profileInfo.picture != '' && profileInfo.picture != null ? profileInfo.picture : require('./img/blank-avatar.png')">
              </v-avatar>
            </v-flex>
            <v-flex xs12 sm8 md9>
              <v-divider dark class="hidden-sm-and-up my-3"></v-divider>
              <v-flex dark xs12 class="white--text">
                <h1 class="mb-3">{{profileInfo.fullname}}</h1>
                <div class="my-2">
                  <v-icon dark class="mr-3">work</v-icon>
                  <span class="white--text">{{profileInfo.occupation}}</span>
                </div>
                <div class="my-2">
                  <v-icon dark class="mr-3">cake</v-icon>
                  <span class="white--text">{{profileInfo.birthday}}</span>
                </div>
                <div class="mt-2 mb-4">
                  <v-icon dark class="mr-3">place</v-icon>
                  <span class="white--text">{{profileInfo.country}}</span>
                </div>
                <div class="my-2">
                  <span class="white--text">{{profileInfo.about}}</span>
                </div>
              </v-flex>
            </v-flex>
          </v-layout>
        </v-flex>
        <v-flex xs12 class="pa-4 grey lighten-3">
          <h3>{{profileInfo.fullname}} - Photo album</h3>
          <v-divider class="my-3"></v-divider>
          <v-layout row wrap v-if="profileAlbum != ''">
            <v-flex v-for="i, index, key in profileAlbum" :key="index" xs12 sm6 md4 lg3>
              <v-card hover v-if="index != '.key' && i != null" @click.native.stop="$emit('zoomPhoto', i.url)">
                <v-card-media :src="i.url" height="300px">
                  <span class="pa-3 grey--text text--lighten-4" style="position:absolute; bottom: 0px; background: rgba(0,0,0,.12); width: 100%;" v-if="i.description != ''">{{i.description}}</span>
                </v-card-media>
              </v-card>
            </v-flex>
          </v-layout>
          <v-layout row wrap justify-center v-else>
            <v-flex xs12>
              <v-card flat class="text-xs-center grey lighten-3" style="height:calc(100vh - 270px); justify-content:center; align-items:center; display: flex">
                <v-card-text>
                  <v-icon class="my-5" color="grey lighten-1" size="120px">image_search</v-icon><br>
                  <span class="grey--text">No photos :(</span>
                </v-card-text>
              </v-card>
            </v-flex>
          </v-layout>
        </v-flex>
      </v-layout>
    </v-container>

  </div>
</template>

<script>
import {db} from './firebase';

export default {
  data() {
    return {
      profileInfo: '',
      profileAlbum: ''
    }
  },
  props: ['profile'],
  watch: {
    profile: function() {
      var vm = this;
      this.$bindAsArray('profileAlbum', db.ref('/usersPictures/'+vm.profile));
      this.$bindAsObject('profileInfo', db.ref('/users/'+vm.profile));
    }
  },
  methods: {
    goBack(){
      this.profile = '';
      this.$emit('hideProfile', this.profile);
    }
  }
}
</script>

<style lang="css">
</style>
